​
Select Service
ves-io-schema-network_policy-API-Get
Published April 5, 2023 | Last modified June 15, 2026
Examples of getting network_policy
Usecase:
Get network-policy-1
Request using vesctl:
vesctl configuration get network_policy network-policy-1 --namespace documentation
vesctl yaml response:
deletedReferredObjects: []disabledReferredObjects: []metadata: annotations: {} labels: {} name: network-policy-1 namespace: documentationreferringObjects: []resourceVersion: "1957"spec: endpoint: any: {}status: []systemMetadata: creationTimestamp: "2026-04-13T01:59:58.108687Z" creatorClass: examplesvc creatorId: examplesvc finalizers: [] labels: {} tenant: acmecorp uid: f108f6c7-1330-44fc-9de0-0b0232bc0737Request using curl:
curl -X 'GET' -H 'X-Volterra-Useragent: v1/pgm=_var_folders_q2_3kp8z3zs0x5_m7pk1bgb0_ph0000gp_T_go-build1414723615_b001_apidocs.test/host=MTY6VVHQPH/svc=S:examplesvc/site=mytestce01' 'https://acmecorp.console.ves.volterra.io/api/config/namespaces/documentation/network_policys/network-policy-1?response_format=0'curl response:
HTTP/1.1 200 OKContent-Length: 869Content-Type: application/jsonDate: Mon, 13 Apr 2026 01:59:58 GMTVary: Accept-Encoding
{ "create_form": null, "replace_form": null, "resource_version": "1957", "metadata": { "name": "network-policy-1", "namespace": "documentation", "labels": { }, "annotations": { }, "description": "", "disable": false }, "system_metadata": { "uid": "f108f6c7-1330-44fc-9de0-0b0232bc0737", "creation_timestamp": "2026-04-13T01:59:58.108687Z", "deletion_timestamp": null, "modification_timestamp": null, "initializers": null, "finalizers": [ ], "tenant": "acmecorp", "creator_class": "examplesvc", "creator_id": "examplesvc", "object_index": 0, "owner_view": null, "labels": { } }, "spec": { "endpoint": { "any": {
} } }, "status": [ ], "referring_objects": [ ], "deleted_referred_objects": [ ], "disabled_referred_objects": [ ]}